import { ICellEditorComp, ICellEditorParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * Parameters used to configure {@link StringEditor}
 * @public
 */
export interface StringEditorParams extends ICellEditorParams {
    placeholder: string;
}
/**
 * The AG String Editor element.
 * @public
 * @tagname %%prefix%%-string-editor
 */
export declare class StringEditor extends FoundationElement implements ICellEditorComp {
    params: StringEditorParams;
    value: string;
    actualWidth: number;
    input: any;
    init(params: StringEditorParams): void;
    getGui(): HTMLElement;
    refresh(params: StringEditorParams): boolean;
    getValue(): string;
    isPopup(): boolean;
    afterGuiAttached(): void;
    changeHandler(event: any): void;
    isCancelBeforeStart(): boolean;
}
/**
 * The AG String Renderer Styles.
 * @public
 */
export declare const agStringEditorStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed String template.
 * @param designSystem - The design system prefix to use. Defaults to 'foundation'.
 * @returns A String component template prefixed with the correct design system.
 * @public
 */
export declare const getStringEditorTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<StringEditor, any>;
/**
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-string-editor\>
 */
export declare const foundationStringEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<StringEditor, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<StringEditor, any>;
}, typeof StringEditor>;
//# sourceMappingURL=string.editor.d.ts.map